#include <stim/cuda/arraymath.cuh>

/*void blur(float* image, float sigma, unsigned int x, unsigned int y){

	stim::cuda::cpu_gaussian_blur_2d<float>(image, sigma, x, y);
}*/

void array_multiply(float* lhs, float rhs, unsigned int N){

	stim::cuda::cpu_multiply(lhs, rhs, N);
}

void array_add(float* ptr1, float* ptr2, float* sum, unsigned int N){

	stim::cuda::cpu_add(ptr1, ptr2, sum, N);

}

void conv2(float* img, float* mask, float* cpu_copy, unsigned int w, unsigned int h, unsigned int M){

	stim::cuda::cpu_conv2(img, mask, cpu_copy, w, h, M);

}

void array_abs(float* img, unsigned int N){

	stim::cuda::cpu_abs(img, N);

}

